'                   Copyright (c) 2005 SQUARE ENIX CO.,LTD.
'                             All Rights Reserved.
'  
'  This file contains unpublished confidential  and proprietary information
'  of SQUARE ENIX CO.,LTD.  The contents of this file  may not be copied or
'  duplicated,  in whole or in part, by any means,  electronic or hardcopy,
'  without  the express  prior written permission  of  SQUARE ENIX CO.,LTD.
'  This copyright notice does not imply any actual or intended publication.
'  
'  $Id: LoadWeightPresets.vbs,v 1.2 2005/03/04 12:24:55 ebisawa Exp $
'  
'  Author: Atsushi Ebisawa (ebisawa@square-enix.co.jp)
'  
Option Explicit

sub aeLoadPreset( fileName, oObj )
    Dim oCls, oProp
    for each oCls in oObj.ActivePrimitive.Geometry.Clusters
        for each oProp in oCls.Properties
            if oProp.type = "envweights" then
                logmessage "LoadPreset " & filename & ", " & oProp.fullname
                LoadPreset fileName, oProp.fullname
                exit sub
            end if
        next
    next
end sub

function SelectFolder()
    Dim Shell, oLoadFolder
    Dim path
    Set Shell=CreateObject("Shell.Application")
    path = Application.InstallationPath( siProjectPath )
    Set oLoadFolder = Shell.BrowseForFolder(0,"Select Load Folder: "&path&"\",128+16+1, path)
    if oLoadFolder <> "Nothing" then
        SelectFolder = oLoadFolder.Items.Item.Path
    end if
end function

function IsPresetFile( file )
    Dim aTokens
    aTokens = split( file.name, "." )
'    logmessage file & "-->" & aTokens( ubound(aTokens) )
    if aTokens(ubound(aTokens)) = "Preset" then
        IsPresetFile = 1
    else
        IsPresetFile = 0
    end if
end function

function FindObject( objName, oObj )
    Dim oRoot, oChild
    set oRoot = Application.ActiveProject.ActiveScene.Root
    set oObj = oRoot.findChild( objName, , , True )
end function


'---------------
function XSILoadPlugin( in_reg )
	in_reg.Author = "nuenaka"
	in_reg.Name = "LoadWeightPresetsPlugin"
	in_reg.Email = "nuenaka@square-enix.co.jp"
	in_reg.URL = "http://happy/document/XSI/index.html"
	in_reg.Major = 1
	in_reg.Minor = 0

	in_reg.RegisterCommand "LoadWeightPresets","LoadWeightPresets"
	'RegistrationInsertionPoint - do not remove this line

	XSILoadPlugin = true
end function

function XSIUnloadPlugin( in_reg )
	XSIUnloadPlugin = true
end function

function LoadWeightPresets_Init( ctxt )
	dim oCmd
	set oCmd = ctxt.Source
	oCmd.Description = ""
	oCmd.ReturnValue = true

	LoadWeightPresets_Init = true
end function

function LoadWeightPresets_Execute(  )


	dim tpc
	tpc = TechPluginCertification( "LoadWeightPreset", "1.3" )
	if tpc <> True then
		' false ɂƗvȂG[bZ[Wô true ƂB
	else

Dim loadFolder, oFolder
loadFolder = SelectFolder

Dim fso
Set fso = CreateObject("Scripting.FileSystemObject")
Set oFolder = fso.GetFolder(loadFolder)

Dim file, objName, oObj
for each file in oFolder.Files
    if IsPresetFile( file ) = 1 then
        objName = replace( file.name, ".Preset", "" )
        FindObject objName, oObj
        if typename(oObj) <> "Nothing" then
            aeLoadPreset file.Path, oObj
        end if
    end if
next

	end if	'TPC

	LoadWeightPresets_Execute = true
end function


